using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace TaxiTelphoni
{
    public partial class frmRepMachine : Form
    {
        public frmRepMachine()
        {
            InitializeComponent();
        }

        private void frmRepMachine_Load(object sender, EventArgs e)
        {
            LSC_TaxiTelfoniDataContext db = new LSC_TaxiTelfoniDataContext();
            var Query = from Row in db.MachineNoows
                        select new
                        {
                            Row.MachineID,
                            Row.MachineName

                        };

            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;

            MachineNoowBindingSource.DataSource = Query;
            reportViewer1.RefreshReport();

        }
    }
}
